Loading...
Searching...
No Matches
PerfectHashMapAsserter Struct Reference

`#include <PerfectHashMap.h>`

## Public Member Functions

| PerfectHashMapAsserter (bool c)
template<typename T>
PerfectHashMapAsserter & | operator<< (T &&t)
| ~PerfectHashMapAsserter ()

## Public Attributes

const bool | c

## Detailed Description

Definition at line 9 of file PerfectHashMap.h.

## Constructor & Destructor Documentation

## PerfectHashMapAsserter()

PerfectHashMapAsserter::PerfectHashMapAsserter | ( | bool | c | ) |

inline explicit

Definition at line 12 of file PerfectHashMap.h.

References c.

Referenced by operator<<().

## ~PerfectHashMapAsserter()

PerfectHashMapAsserter::~PerfectHashMapAsserter | ( |  | ) |

inline

Definition at line 23 of file PerfectHashMap.h.

References c.

## Member Function Documentation

## operator<<()

template<typename T>

PerfectHashMapAsserter & PerfectHashMapAsserter::operator<< | ( | T && | t | ) |

inline

Definition at line 17 of file PerfectHashMap.h.

References c, and PerfectHashMapAsserter().

## Member Data Documentation

## c

const bool PerfectHashMapAsserter::c

Definition at line 10 of file PerfectHashMap.h.

Referenced by operator<<(), PerfectHashMapAsserter(), and ~PerfectHashMapAsserter().

The documentation for this struct was generated from the following file:

- src/autoschedulers/common/PerfectHashMap.h